# Notes

- Intent of this list is to act as Online bookmarks/lookup table for freely available online video courses. The focus would be to keep the list concise so that it is easy to browse. It would be easier to skim through a 15-page list, find the course and start learning than having to read 60 pages of t&ltext. If you are a student or from non-CS background, please try a few courses to decide for yourself which course suits your learning curve best.
- 90% of courses on Data Structures/Algorithms/Operating Systems/Machine Learning/Computer Networks/etc tend to have 80-90% overlap in the curriculum. Descriptions for courses are helpful but adding descriptions/comments for each course can lead to repetition/subjective opinions. As a tradeoff, metadata like course number, name, prof, year, University/platform for Course is added in the URL itself. To access the syllabus/notes/assignments, please visit the link to the course or use Google search with the course number/name. If a course has excellent notes/assignments/projects which cannot be reached through the video's link, please feel free to add links alongside.
- If available, please add the following information to the link - `<Course-Number> <Course-Name> <Year> <Prof Name> <University Name/Platform>`.
- If you are bored reading above 10 lines, imagine reading descriptions for hundreds of courses :)
- If you need assistance in deciding the order in which courses should be taken, please refer to sample Course prerequisite charts by Universities to familiarize yourself with the standard CS curriculum. If you need to know the prerequisites for a particular course not covered by the below samples, please check the course link or try Google.
  - [MIT EECS Curriculum](https://www.eecs.mit.edu/academics/undergraduate-programs/curriculum/)
  - [Stanford Program Sheets](https://cs.stanford.edu/degrees/ug/ProgramSheets.shtml)
  - [Stanford Course and Requirement Overview](https://cs.stanford.edu/degrees/ug/Requirements.shtml)
  - [UMN Computer Science Course Prerequisite Chart](https://onestop.umn.edu/registration/register-classes/course-prerequisites)
- Disclaimer: The links have been taken from public domain websites like Open courseware sites, class-central, YouTube channels for Universities, University pages, Google, itunes U, blog posts, and similar sites like awesome-courses, etc. If you are University Professor for any course listed in this repository and You would like your course to be removed from the list, please raise a pull request with comment stating its your content and you would like it to be removed.
